## yelp 42.3

=== meson_options.txt ===
option('lzma',
       type : 'feature',
       value : 'auto',
       description : 'build with liblzma decoder support')

option('bzip2',
       type : 'feature',
       value : 'auto',
       description : 'build with bzip2 decoder support')

option('webkit2gtk-4-0',
       type : 'boolean',
       value : false,
       description : 'build against webkit2gtk-4.0 instead of webkit2gtk-4.1')

## yelp 2.25.1-0ubuntu5-netbook1

=== debian/changelog ===
yelp (2.25.1-0ubuntu5-netbook1) netbook-jaunty; urgency=low

  * Added two patches from Hardy: 20_fix_free_crash.patch and 21_fix_load_cancel_crash.patch

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 02 Jul 2009 17:14:54 -0400

yelp (2.25.1-0ubuntu5) jaunty; urgency=low

  * debian/patches/07_rosetta_translations_update.patch:
    - updated the translations before jaunty

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Apr 2009 15:33:06 +0200

yelp (2.25.1-0ubuntu4) jaunty; urgency=low

  * No-change rebuild to fix lpia shared library dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2009 16:53:47 +0100

yelp (2.25.1-0ubuntu3) jaunty; urgency=low

  * Update wording and link in debian/patches/04_new_ubuntu_layout.patch (LP: #342972)

 -- Matthew East <mdke@ubuntu.com>  Sat, 14 Mar 2009 23:14:37 +0000

yelp (2.25.1-0ubuntu2) jaunty; urgency=low

  * changes in debian/patches/04_new_ubuntu_layout.patch:
    - Fix wrong toc displayed (GNOME and not Ubuntu ones) because of new
      stylesheets/toc2html.xsl.in file which erases previous changes in
      stylesheets/toc2html.xsl (LP: #337983)
    - Remove new upstream "xmlNodeSetLang()" call which seems to make
      unavailable translations

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 04 Mar 2009 23:12:33 +0100

yelp (2.25.1-0ubuntu1) jaunty; urgency=low

  * New upsteam release (LP: #336981)
    - RTL fixes, bug #573159, Shaun McCance
    - Fixed libxul[-embedding] detection, Christian Persch
    - Removed deprecated GTK symbols, Thomas H.P. Andersen
    - Fixed crasher, bug #552947, Antonio Litterio
    - Fixed loading of local HTML files, Josselin Mouette (LP: #294906)
    - Updated translations (ar, ast, et, it, ko, la, ps, sv, uz, uz@cyrillic,
      zh_HK, zh_TW)
  * debian/control.in:
    - Add Vcs-Bzr tag
    - Bump gnome-doc-utils dependency to 0.15.2
    - refresh debian/control
  * update debian/watch to make it point to unstable
  * debian/patches/
    - adapt 04_new_ubuntu_layout.patch
    - update with new rosetta translation in
      07_rosetta_translations_update.patch

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 03 Mar 2009 00:25:33 +0100

yelp (2.24.0-0ubuntu2) intrepid; urgency=low

  * Update rosetta translations (LP: #286876).
    - add debian/patches/07_rosetta_translations_update.patch. 

 -- Christophe Sauthier <christophe.sauthier@gmail.com>  Tue, 21 Oct 2008 10:17:28 +0200

yelp (2.24.0-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #273292)
    - Improve a11y under gecko 1.9
      - Bug #545162
      - Huge thanks to Ginn Chen, Willie Walker and Joanmarie Diggs
    -  Fix potential race-condition
       - bug #551757 (Joe Marcus Clarke)
    - fd.o categorisation improvements
      - bug #552128

 -- Pedro Fragoso <ember@ubuntu.com>  Mon, 22 Sep 2008 20:14:23 +0100

yelp (2.23.91-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #263743)
    - Fix loading of text files - bug #549986 (Josselin Mouette)
    - Fix glibc info manual chrash - bug #520266 
      (Matthias Clasen and J.H.M. Dassen)

 -- Pedro Fragoso <ember@ubuntu.com>  Mon, 01 Sep 2008 20:54:18 +0100

yelp (2.23.2-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #260544)
    - Fix string vulnerability [#546364] - Christian Persch 
    - Use "help-browser" icon instead of deprecated "gnome-help" - Luca Ferretti
  * debian/patches/60_format-string:
    - Removed, already in the release
  * debian/patches/02_autoconf:
    - Refresh to apply cleanly

 -- Pedro Fragoso <ember@ubuntu.com>  Fri, 22 Aug 2008 23:30:36 +0100

yelp (2.23.1-0ubuntu3) intrepid; urgency=low

  * SECURITY: New patch, 60_format-string, fixes format string vulnerability;
    GNOME #546364; from SVN r3173; LP: #254860.

 -- Loic Minier <lool@dooz.org>  Wed, 13 Aug 2008 14:51:35 +0200

yelp (2.23.1-0ubuntu2) intrepid; urgency=low

  * debian/control.in:
    - don't recommends ttf-dejavu

 -- Sebastien Bacher <seb128@canonical.com>  Tue, 15 Jul 2008 12:01:09 +0100

yelp (2.23.1-0ubuntu1) intrepid; urgency=low

  * New upstream version:
    - Add support for Gecko 1.9 (XULRunner)
    - Move from gnome-vfs to gio
    - Fix searching on multibyte characters
    - Add support for newer Beagles
    - Fix parallel make
    - Make "print whole document" work again
    - Re-add support for gnome-help URIs
    - Only show the help browser in GNOME menus (as other 
      desktops should ship their own help browser)
  * Sync on Debian
  * debian/control.in:
    - build-depends on the correct xulrunner and on liblaunchpad-integration-dev
    - don't use gnomevfs, updated glib requirements
    - updated maintainer informations
  * debian/patches/01_lpi.patch:
    - launchpad integration changes
  * debian/patches/02_autoconf.patch:
    - required configure update
  * debian/patches/03_info_crasher.patch:
    - don't use this debian change since upstream indicated it creates issues
  * debian/patches/04_new_ubuntu_layout.patch:
    - ubuntu index layout
  * debian/patches/05_menu_tooltip.patch:
    - change tooltip from "Get help with GNOME" to "Get help with Ubuntu"
  * debian/patches/06_ubuntu_online_url.patch:
    - use an ubuntu online url
  * debian/patches/01_gecko1.9.patch,
    debian/patches/70_autotools.patch:
    - those changes are not required in the new version
	
 -- Sebastien Bacher <seb128@canonical.com>  Wed, 18 Jun 2008 09:48:23 +0200

yelp (2.22.1-3) unstable; urgency=low

  * 03_info_crasher.patch: new patch, fix crasher in the info parser.
    Closes: #461625.
  * 04_use_doc-base.patch: add /var/lib/doc-base to XDG_DATA_DIRS so 
    that doc-base documents are correctly displayed. Closes: #472390.
  * Recommend doc-base.
  * Upload to unstable; drop check-dist include.
  * Update (build-)deps to 1.9~rc1.

 -- Josselin Mouette <joss@debian.org>  Sun, 18 May 2008 17:23:38 +0200

yelp (2.22.1-2) experimental; urgency=low

  * Target to experimental; include check-dist.mk.


=== debian/control ===
Source: yelp
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Standards-Version: 3.7.3
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/yelp/ubuntu
Build-Depends: debhelper (>= 5),
               gnome-pkg-tools (>= 0.10),
               cdbs (>= 0.4.41),
               quilt,
               docbook-to-man,
               intltool (>= 0.35.0),
               libgnome2-dev (>= 2.14.0),
               libglib2.0-dev (>= 2.16),
               libgtk2.0-dev (>= 2.10.0),
               libgnomeui-dev (>= 2.16.0-2),
               libxslt1-dev (>= 1.1.4),
               gnome-doc-utils (>= 0.15.2),
               xulrunner-1.9-dev (>= 1.9~rc1),
               libbz2-dev,
               libgconf2-dev,
               libglade2-dev,
               libxml2-dev (>= 2.6.5),
               libstartup-notification0-dev (>= 0.8),
               libdbus-glib-1-dev,
               zlib1g-dev,
               libxt-dev,
               librarian-dev (>= 0.7.0),
               liblaunchpad-integration-dev (>= 0.1.17)

Package: yelp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         xulrunner-1.9 (>= 1.9~rc1),
         gnome-doc-utils,
         docbook-xml (>= 4.1.2),
         xml-core,
         man-db (>= 2.5.1-1)
Recommends: doc-base
Replaces: gman
Description: Help browser for GNOME 2
 This package contains the GNOME online help browser application.

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/yelp/([\d\.]+)/yelp-([\d\.]+)\.tar\.gz

## yelp 2.25.1-0ubuntu5-netbook1sendai1

=== debian/changelog ===
yelp (2.25.1-0ubuntu5-netbook1sendai1) jaunty; urgency=low

  * Patch for the gnome-help broken issue

 -- Jason Yen <jason.yen@canonical.com>  Mon, 06 Dec 2010 15:11:18 +0800

=== debian/control ===
--- 
+++ 
@@ -1,3 +1,8 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
+
 Source: yelp
 Section: gnome
 Priority: optional

## yelp 2.25.1-0ubuntu5.9.04.1trisquel2

=== debian/changelog ===
yelp (2.25.1-0ubuntu5.9.04.1trisquel2) trisquel; urgency=low

  * Removed Ubuntu-specifc patches

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Tue, 01 Feb 2011 22:45:42 +0000

yelp (2.25.1-0ubuntu5.9.04.1) jaunty-security; urgency=low

  * Update for xulrunner 1.9.2 transition - force Yelp to use the 1.9 GRE
    - add debian/patches/08_force_xul19.patch
    - update debian/patches/series
    - see USN-930-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 23 Jun 2010 23:11:18 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --enable-info --enable-man \
	--with-gecko=libxul-embedding

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

clean::
	rm -f debian/yelp.1

build/yelp::
	/usr/bin/docbook-to-man debian/yelp.sgml > debian/yelp.1

## yelp 3.0.0

=== debian/changelog ===
yelp (3.0.0-0ubuntu2) natty; urgency=low

  * Backport some patches from 3.0.1
  * debian/patches/00_build_with_gtk2.patch:
    - Fix up some warnings
  * debian/patches/00git_clear_gvariantbuilder.patch:
    - Fix memory leak saving bookmarks
  * debian/patches/00git_split_search_string.patch:
    - Improve matching with search string
  * debian/patches/00git_use_gsettings.patch:
    - Use GSettings for config

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 12 Apr 2011 12:01:41 +1000

yelp (3.0.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 05 Apr 2011 14:56:07 +1000

yelp (2.91.92-0ubuntu2) natty; urgency=low

  * debian/rules: use clean-la.mk from gnome-pkg-tools to clean up
    dependency_libs fields, per policy 10.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Mar 2011 13:09:44 -0700

yelp (2.91.92-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 22 Mar 2011 17:43:05 +1100

yelp (2.91.91-0ubuntu2) natty; urgency=low

  * debian/patches/06_default_uri.patch:
    - Dropped, the documentation has been updated and now provides the default
      URI (LP: #739222)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 22 Mar 2011 10:28:39 +1100

yelp (2.91.91-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/patches/06_default_uri.patch:
    - Use old default URI

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 08 Mar 2011 15:46:17 +1100

yelp (2.91.90-0ubuntu1) natty; urgency=low

  * New upstream release
    - Brings back searching. (LP: #710901)
  * debian/control:
    - Add build-depends on libsqlite3-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 25 Feb 2011 16:13:37 +0100

yelp (2.91.10-0ubuntu2) natty; urgency=low

  [ Robert Ancell ]
  * debian/patches/02_man-utf8.patch:
    - Dropped, confirmed as fixed by the latest Yelp

  [ Martin Pitt ]
  * debian/control.in: Add missing yelp-xsl dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 15 Jan 2011 12:43:25 -0600

yelp (2.91.10-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Drop build-depends on quilt, libgconf2-dev, gnome-doc-utils,
      libstartup-notification0-dev, libdbus-glib-1-dev, librarian-dev,
      xulrunner-dev
    - Add build-depends on liblzma-dev, libwebkitgtk-dev, yelp-xsl
    - Bump build-depends on libglib2.0-dev, libgtk2.0-dev
  * debian/rules:
    - Remove obsolete DEB_AUTO_UPDATE macros
    - Remove obsolete configure flags
    - Build with --with-gtk=2.0
    - Remove xulrunner rules
  * debian/patches/00_build_with_gtk2.patch:
    - Build with GTK2
  * debian/patches/00_no_am_gnu_gettext.patch:
    - Can't use both AM_GNU_GETTEXT and IT_PROG_INTLTOOL
  * debian/patches/04_new_ubuntu_layout.patch:
    - Disabled for now, needs to be fixed
  * debian/patches/02_man-utf8.patch:
    - Disabled for now, suspected not needed?
  * debian/patches/06_ubuntu_online_url.patch:
    - Dropped, search not implemented in yelp 2.91.10
  * debian/patches/08_link_order.patch:
    - Fixed in 07_build_with_dsolink.patch
  * debian/patches/09_add_mimetype_to_desktop.patch:
    - Applied upstream
  * debian/patches/10_ubuntu_gecko_version.patch:
  * debian/patches/11_support_xulrunner_20.patch:
    - Obsolete, not using Gecko anymore
    
 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 11 Jan 2011 12:54:59 -0600

yelp (2.30.2-0ubuntu3) natty; urgency=low

  * Ensure yelp will only run with the Gecko series that it was built with.
    This ensures that we won't break Yelp by introducing a new Gecko version
    in a future security update
    - add debian/patches/10_ubuntu_gecko_version.patch
    - update debian/patches/series
  * Add support for xulrunner 2.0 and switch the build-depend back to
    xulrunner-dev
    - add debian/patches/11_support_xulrunner_20.patch
    - update debian/patches/series
    - update debian/control{.in}

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 06 Jan 2011 19:40:23 +0000

yelp (2.30.2-0ubuntu2) natty; urgency=low

  * debian/patches/09_add_mimetype_to_desktop.patch:
    - Add mimetype information to the desktop file so that ghelp: URIs
      will work again.  This is backported from upstream.  LP: #673362

 -- Michael Terry <mterry@ubuntu.com>  Wed, 05 Jan 2011 13:49:33 -0500

yelp (2.30.2-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Build-depend on dh-autoreconf, gnome-common
    - Change build-depends of xulrunner-dev to xulrunner-1.9.2-dev
    - Use standards-version 3.9.1
  * debian/rules:
    - Use autoreconf.mk
    - Drop patchsys-quit.mk, not required with source version 3.0
  * debian/source:
    - Use source version 3.0
  * debian/patches/08_link_order.patch:
    - Fix linking order
  * debian/patches/90_autoreconf.patch:
    - Dropped, using autoreconf now

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 07 Dec 2010 13:06:52 +1100

yelp (2.30.1-0ubuntu2) natty; urgency=low

  [ Matthew East ]
  * debian/patches/04_new_ubuntu_layout.patch:
    - Remove multiple instances of "Ubuntu Help Center" on front page,
       LP: #84853
    - Remove "Enable Desktop Effects tip from frontpage, as now enabled by
      default
      - Replace with "Playing videos"

  [ Didier Roche ]
  * debian/patches/07_build_with_dsolink.patch:
    - build with new DSO linking politic (no indirect reference)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 04 Nov 2010 19:50:44 +0100

yelp (2.30.1-0ubuntu1) maverick; urgency=low

  [ Didier Roche ]
  * New upstream release:
    - Support relocatable .gnome2 directory (Ray Strode)
    - Don't break on info pages with "/" in title (Edward Sheldrake)
    - Updated translations

  [ Robert Ancell ]
  * debian/control:
    - Use standards-version 3.9.0
    - Build-depend on gnome-common for autotools
  * debian/rules:
    - Run autotools on build
  * debian/patches/99_autoreconf.patch:


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: yelp
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 5),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.10),
               cdbs (>= 0.4.41),
               gnome-common,
               docbook-to-man,
               intltool (>= 0.35.0),
               libglib2.0-dev (>= 2.25.11),
               libgtk2.0-dev (>= 2.21.8),
               libsqlite3-dev,
               libxml2-dev (>= 2.6.5),
               libxslt1-dev (>= 1.1.4),
               libxt-dev,
               zlib1g-dev,
               libbz2-dev,
               liblzma-dev (>= 4.9),
               libwebkitgtk-dev,
               yelp-xsl (>= 2.31.3),
               liblaunchpad-integration-dev (>= 0.1.17)
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/yelp/ubuntu

Package: yelp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-doc-utils (>= 0.17.2),
         docbook-xml (>= 4.1.2),
         xml-core,
         yelp-xsl,
         man-db (>= 2.5.1-1)
Recommends: gnome-user-guide
Suggests: ttf-dejavu
Breaks: scrollkeeper (<< 0.4)
Replaces: gman
Description: Help browser for GNOME
 This package contains the GNOME online help browser application.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk

DEB_CONFIGURE_EXTRA_FLAGS += --with-gtk=2.0

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

clean::
	rm -f debian/yelp.1

build/yelp::
	/usr/bin/docbook-to-man debian/yelp.sgml > debian/yelp.1

## yelp 3.2.0

=== debian/changelog ===
yelp (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/patches/06_make_ubuntu_docs_default.patch: Refreshed
  * debian/patches/07_disable_package_search.patch:
    - Remove "Search for packages containing this document" feature
      because it doesn't work in the default Ubuntu install (LP: #838540)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 26 Sep 2011 21:08:21 -0400

yelp (3.1.4-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Fixed loading HTML & TXT documents
  * debian/patches/06_make_ubuntu_docs_default.patch:
    - Use GNOME help if running GNOME Shell or Fallback (LP: #852911)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Sep 2011 03:18:01 -0400

yelp (3.1.3-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/patches/06_make_ubuntu_docs_default.patch:
    Updated for new default help location (LP: #841307)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2011 09:39:57 +0200

yelp (3.1.2-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fixes LP: #809425
    - Adds Unity to OnlyShowIn (LP: #803519)
  * debian/patches/04_new_ubuntu_layout.patch
    - Dropped, obsolete
  * debian/patches/07_build_with_dsolink.patch
    - Dropped, obsolete
  * debian/patches/06_make_ubuntu_docs_default.patch
    - Use ubuntu-help as default instead of gnome-help
      (LP: #819158)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2011 09:49:09 +0200

yelp (3.1.1-0ubuntu2) oneiric; urgency=low

  [ Brian Murray ]
  * debian/source_yelp.py: Don't ask question for crashes. (LP: #708914)

  [ Chris Coulson ]
  * Fix LP: #810258 - libyelp0 and libyelp-dev should both Breaks/Replaces
    yelp << 3.1.1-0ubuntu1
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 14 Jul 2011 12:14:12 +0100

yelp (3.1.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * Resync with Debian packaging, remaining Ubuntu changes:
    - Use source format 3
    - Add apport hook
    - Watch for unstable releases too
    - Suggest ttf-dejavu, instead of Recommend
    - Use autoreconf
    - debian/patches/00_no_am_gnu_gettext.patch
    - debian/patches/01_lpi.patch
    - debian/patches/05_menu_tooltip.patch

 -- Michael Terry <mterry@ubuntu.com>  Tue, 28 Jun 2011 04:56:30 -0400

yelp (3.0.3-0ubuntu2) oneiric; urgency=low

  * debian/control:
    - BuildDepend on libwebkitgtk-3.0-dev and libgtk-3-dev

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Fri, 10 Jun 2011 11:29:20 +0200

yelp (3.0.3-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/control:
    - Match yelp-xsl BuildDep with the minimum version needed upstream
    - BuildDepend on liblaunchpad-integration-3.0-dev
  * debian/patches/00git_clear_gvariantbuilder.patch:
  * debian/patches/00git_split_search_string.patch:
  * debian/patches/00git_use_gsettings.patch:
    - Removed upstream patches
  * debian/patches/00_build_with_gtk2.patch:
  * debian/rules:
    - Removed, we build with GTK3 now
  * debian/patches/04_use_doc-base.patch:
    - Rebased
  * debian/patches/01_lpi.patch:
    - Rebased and made it use GTK3 version of launchpad-integration

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Fri, 10 Jun 2011 10:21:16 +0200

yelp (3.0.1-1) experimental; urgency=low

  * New upstream release.
  * debian/compat: bump compat level to 8
  * debian/control.in:
    + update debhelper build-dep for new compat level
    + add yelp-xsl build-dep
    + update build-deps for GTK+ 3 and related libraries
    + create libyelp* packages
  * debian/patches/:
    + 02_man-utf8.patch: drop, the manpage parser has been totally rewritten.
    + 03_info_crasher.patch: updated.
  * debian/copyright: updated with current list of copyright holders

 -- Frederic Peters <fpeters@debian.org>  Mon, 11 Apr 2011 12:03:27 +0200

yelp (2.30.1+webkit-1) unstable; urgency=low

  * New upstream translation and bugfix release.

 -- Josselin Mouette <joss@debian.org>  Wed, 05 May 2010 21:01:46 +0200

yelp (2.30.0+webkit-1) unstable; urgency=low

  * New upstream release, based on the webkit branch with 2.30 merged 
    in.
  * 05_fix_xml_generation.patch: dropped, merged upstream.
  * Update build-dependencies.

 -- Josselin Mouette <joss@debian.org>  Sat, 03 Apr 2010 14:06:26 +0200

yelp (2.28.0+webkit-2) unstable; urgency=low

  * debian/patches/05_fix_xml_generation.patch:
  - Patch from upstream to make yelp generate XML code without garbage
    (Closes: #554842)

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 27 Dec 2009 23:52:18 -0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: yelp
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Frederic Peters <fpeters@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.10),
               cdbs (>= 0.4.41),
               gnome-common,
               docbook-to-man,
               intltool (>= 0.35.0),
               libglib2.0-dev (>= 2.25.11),
               gnome-doc-utils (>= 0.19.1),
               libgtk-3-dev (>= 3.0.0),
               libxml2-dev (>= 2.6.5),
               libxslt1-dev (>= 1.1.4),
               zlib1g-dev,
               libbz2-dev,
               liblzma-dev (>= 4.9),
               libwebkitgtk-3.0-dev (>= 1.3.2),
               libsqlite3-dev,
               yelp-xsl (>= 3.1.2),
               liblaunchpad-integration-3.0-dev (>= 0.1.17)
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/yelp/ubuntu

Package: yelp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         yelp-xsl (>= 2.91.9),
         man-db (>= 2.5.1-1)
Recommends: gnome-user-guide
Suggests: ttf-dejavu
Breaks: scrollkeeper (<< 0.4)
Replaces: gman
Description: Help browser for GNOME
 Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
 graphical interface for viewing DocBook, Mallard, HTML, man, and info
 formatted documentation.

Package: libyelp0
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: yelp (<< 3.1.1-0ubuntu1)
Replaces: yelp
Description: Library for the GNOME help browser
 Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
 graphical interface for viewing DocBook, Mallard, HTML, man, and info
 formatted documentation.
 .
 This library contains widgets and utilities for use by Yelp.

Package: libyelp-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libyelp0 (= ${binary:Version}),
         libgtk-3-dev,
         libwebkitgtk-3.0-dev,
         libxml2-dev (>= 2.6.5),
         libxslt1-dev (>= 1.1.4)
Breaks: yelp (<< 3.1.1-0ubuntu1)
Replaces: yelp
Description: Library for the GNOME help browser (development)
 Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
 graphical interface for viewing DocBook, Mallard, HTML, man, and info
 formatted documentation.
 .
 This package contains the development files for the libyelp library.

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS += --with-gtk=2.0
-
+DEB_DH_MAKESHLIBS_ARGS_ALL += -V -- -c4
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 clean::

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/yelp/([\d\.]+)/yelp-([\d\.]+)\.tar\.bz2

## yelp 3.2.1+dfsg

=== debian/changelog ===
yelp (3.2.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove debian/patches/05_fix-format-string.patch, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Oct 2011 01:43:11 +0200

yelp (3.2.0+dfsg-1) unstable; urgency=low

  * Upload to unstable.
  * debian/watch: Switch to .xz tarballs.
  * Repack source tarball and remove compressed java script file for which the
    source file is missing. (Closes: #625772)
  * Add dependency on libjs-jquery-ui and replace jquery-ui-1.8.custom.min.js
    with a symlink to /usr/share/javascript/jquery-ui/jquery-ui.min.js. This
    workaround should be removed again in 3.4, where yelp will use CSS
    transformations.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 01:05:26 +0200

yelp (3.2.0-1) experimental; urgency=low

  * New upstream release.
  * Bump (Build-)Depends on yelp-xsl to (>= 3.1.2).
  * Add Homepage: field.
  * Build gtk-doc API documentation:
    - Add Build-Depends on gtk-doc-tools.
    - Set --enable-gtk-doc configure flag.
    - Add Build-Depends on libglib2.0-doc and libgtk-3-doc for proper
      cross-references.
  * debian/patches/05_fix-format-string.patch:
    - Fix format string error which causes FTBFS with -Werror=format-security.
      Patch cherry-picked from upstream Git.
  * debian/yelp.install: Remove /usr/share/icons.
  * Update debian/libyelp0.symbols. A symbol was dropped without bumping the
    soname. This symbol was private and yelp is currently the only user of
    libyelp.
  * Add a Breaks: yelp (<< 3.2.0) to avoid partial upgrades.
  * Add a strict dependency between yelp and libyelp0.
  * debian/patches/06_setup_error_on_missing_dbus.patch:
    - Fix crash in yelp_settings_constructed () when dbus session bus is not
      available.

 -- Michael Biebl <biebl@debian.org>  Sat, 01 Oct 2011 07:29:30 +0200

yelp (3.0.4-1) experimental; urgency=low

  * New upstream release.
  * debian/watch: Track .bz2 tarballs.
  * Refresh debian/patches/03_info_crasher.patch.
  * debian/control.in: Bump (Build-)Depends on yelp-xsl to (>= 3.0.1).
  * Switch to dpkg source format 3.0 (quilt).
  * Bump Standards-Version to 3.9.2. No further changes.
  * Add Vcs-* fields.

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Aug 2011 16:17:52 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: yelp
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Gustavo Noronha Silva <kov@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8),
               gnome-pkg-tools (>= 0.10),
               cdbs (>= 0.4.41),
               docbook-to-man,
               intltool (>= 0.41.0),
               gnome-doc-utils (>= 0.19.1),
               gtk-doc-tools,
               libglib2.0-doc,
               libgtk-3-doc,
               libglib2.0-dev (>= 2.25.11),
               libgtk-3-dev (>= 3.0.0),
               libxml2-dev (>= 2.6.5),
               libxslt1-dev (>= 1.1.4),
               zlib1g-dev,
               libbz2-dev,
               liblzma-dev (>= 4.9),
               libwebkitgtk-3.0-dev (>= 1.3.2),
               libsqlite3-dev,
               yelp-xsl (>= 3.1.2),
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/yelp
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/yelp
Homepage: http://live.gnome.org/Yelp

Package: yelp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libyelp0 (= ${binary:Version}),
         yelp-xsl (>= 3.1.2),
         man-db (>= 2.5.1-1),
         libjs-jquery-ui
Recommends: ttf-dejavu,
            gnome-user-guide
Breaks: scrollkeeper (<< 0.4)
Replaces: gman
Description: Help browser for GNOME
 Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
 graphical interface for viewing DocBook, Mallard, HTML, man, and info
 formatted documentation.

Package: libyelp0
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: yelp (<< 3.2.0)
Description: Library for the GNOME help browser
 Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
 graphical interface for viewing DocBook, Mallard, HTML, man, and info
 formatted documentation.
 .
 This library contains widgets and utilities for use by Yelp.

Package: libyelp-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libyelp0 (= ${binary:Version}),
         libgtk-3-dev,
         libwebkitgtk-3.0-dev,
         libxml2-dev (>= 2.6.5),
         libxslt1-dev (>= 1.1.4)
Description: Library for the GNOME help browser (development)
 Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
 graphical interface for viewing DocBook, Mallard, HTML, man, and info
 formatted documentation.
 .
 This package contains the development files for the libyelp library.

## yelp 3.4.1

=== debian/changelog ===
yelp (3.4.1-0ubuntu1) precise; urgency=low

  * New upstream release
    - Updated translations  

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Apr 2012 14:08:36 +1000

yelp (3.4.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    - Updated translations

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 27 Mar 2012 10:51:39 +1100

yelp (3.3.92-0ubuntu1) precise; urgency=low

  * New uptream release:
    - Fixed links to page #fragments
    - Updated translations

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 21 Mar 2012 07:42:46 +0100

yelp (3.3.4-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Auto-reload Mallard documents
    - Allow all extensions in Mallard documents
    - Added a 'Search for ...' entry to completion
    - Style updates for mobile rendering
    - Fixed updating of titles/info for bookmarks
    - Don't crash when doing stuff to empty windows
  * Added new symbols
  * debian/control.in: Build-depend on itstool instead of intltool
  * debian/patches/08_g_thread_init-deprecation.patch: Dropped, upstream

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2012 15:08:46 -0500

yelp (3.3.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * debian/patches/06_setup_error_on_missing_dbus.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 16 Feb 2012 15:11:05 +1100

yelp (3.3.2-0ubuntu1) precise; urgency=low

  * debian/watch: Watch for development versions.
  * New upstream release.
  * debian/control.in: Add libgee-dev and libfolks-dev build dependencies as
    per upstream configure.ac.
  * 01_lpi.patch, 06_setup_error_on_missing_dbus.patch: Unfuzz.
  * Add 08_g_thread_init_deprecation.patch: Don't call g_thread_init().
    (LP: #911125)
  * debian/libyelp0.symbols: Add new symbol from this upstream release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Jan 2012 13:23:15 +0100

yelp (3.2.1-0ubuntu1) precise; urgency=low

  * New upstream version, resynchronize on Debian, remaining diffs,
    we should probably promote libjs-jquery-ui in a next upload and revert the
    diff on that and rebase on the dfsg tarball from Debian
  * debian/control.in:
    - don't Depends on libjs-jquery-ui, it's in universe
    - Build-Depends on lpi, dh-autoreconf, gnome-common
    - Suggest ttf-dejavu, instead of Recommend  
  * debian/patches/00_no_am_gnu_gettext.patch:
    - Can't use both AM_GNU_GETTEXT and IT_PROG_INTLTOOL
  * debian/patches/01_lpi.patch:
    - launchpad integration
  * debian/patches/05_menu_tooltip.patch:
    - Change tooltip from "Get help with GNOME" to "Get help with Ubuntu"
  * debian/patches/06_make_ubuntu_docs_default.patch
    - Use ubuntu-help as default instead of gnome-help
  * debian/patches/07_disable_package_search.patch:
    - Remove "Search for packages containing this document" feature
      because it doesn't work in the default Ubuntu install
  * debian/rules:
    - use autoreconf rule
  * debian/yelp.install:
    - install the apport hook
  * debian/yelp.links:
    - revert, we don't use libjs-jquery-ui

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Dec 2011 20:43:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,25 @@
 Source: yelp
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Gustavo Noronha Silva <kov@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 8),
+               dh-autoreconf,
+               gnome-common,
                gnome-pkg-tools (>= 0.10),
                cdbs (>= 0.4.41),
                docbook-to-man,
-               intltool (>= 0.41.0),
+               itstool,
                gnome-doc-utils (>= 0.19.1),
                gtk-doc-tools,
                libglib2.0-doc,
                libgtk-3-doc,
                libglib2.0-dev (>= 2.25.11),
                libgtk-3-dev (>= 3.0.0),
+               libfolks-dev (>= 0.6.3),
+               libgee-dev,
                libxml2-dev (>= 2.6.5),
                libxslt1-dev (>= 1.1.4),
                zlib1g-dev,
@@ -28,8 +33,8 @@
                libwebkitgtk-3.0-dev (>= 1.3.2),
                libsqlite3-dev,
                yelp-xsl (>= 3.1.2),
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/yelp
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/yelp
+               liblaunchpad-integration-3.0-dev (>= 0.1.17)
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/yelp/ubuntu
 Homepage: http://live.gnome.org/Yelp
 
 Package: yelp
@@ -38,10 +43,9 @@
          ${misc:Depends},
          libyelp0 (= ${binary:Version}),
          yelp-xsl (>= 3.1.2),
-         man-db (>= 2.5.1-1),
-         libjs-jquery-ui
-Recommends: ttf-dejavu,
-            gnome-user-guide
+         man-db (>= 2.5.1-1)
+Recommends: gnome-user-guide
+Suggests: ttf-dejavu
 Breaks: scrollkeeper (<< 0.4)
 Replaces: gman
 Description: Help browser for GNOME

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_MAKESHLIBS_ARGS_ALL += -V -- -c4
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc

clean::
	rm -f debian/yelp.1

build/yelp::
	/usr/bin/docbook-to-man debian/yelp.sgml > debian/yelp.1

## yelp 3.4.2

=== debian/changelog ===
yelp (3.4.2-1) unstable; urgency=low

  * New upstream release.
  * Remove Replaces: gman since there is no longer a file conflict.
  * Bump Standards-Version to 3.9.3.
  * Remove old Breaks against scrollkeeper which is no longer relevant.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 May 2012 23:01:34 +0200

yelp (3.4.1-1) unstable; urgency=low

  * New upstream translation release.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Apr 2012 23:17:52 +0200

yelp (3.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Mar 2012 17:54:07 +0200

yelp (3.3.92-1) experimental; urgency=low

  * New upstream development release.
  * debian/yelp.install: Install /usr/share/yelp-xsl directory.

 -- Michael Biebl <biebl@debian.org>  Sun, 25 Mar 2012 23:22:19 +0200

yelp (3.3.4-1) experimental; urgency=low

  * New upstream development release.
  * The upstream tarball no longer contains any compressed java script files.
    So we no longer need to repack it and can drop the dependency on
    libjs-jquery-ui.
  * debian/patches/06_setup_error_on_missing_dbus.patch: Removed, merged
    upstream.
  * debian/libyelp0.symbols: Add new symbols.
  * Drop Build-Depends on gnome-doc-utils.
  * Add Build-Depends on itstool.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Mar 2012 15:57:17 +0100

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,20 @@
 Source: yelp
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
-Standards-Version: 3.9.2
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 8),
-               dh-autoreconf,
-               gnome-common,
                gnome-pkg-tools (>= 0.10),
                cdbs (>= 0.4.41),
                docbook-to-man,
+               intltool (>= 0.41.0),
                itstool,
-               gnome-doc-utils (>= 0.19.1),
                gtk-doc-tools,
                libglib2.0-doc,
                libgtk-3-doc,
                libglib2.0-dev (>= 2.25.11),
                libgtk-3-dev (>= 3.0.0),
-               libfolks-dev (>= 0.6.3),
-               libgee-dev,
                libxml2-dev (>= 2.6.5),
                libxslt1-dev (>= 1.1.4),
                zlib1g-dev,
@@ -33,8 +28,8 @@
                libwebkitgtk-3.0-dev (>= 1.3.2),
                libsqlite3-dev,
                yelp-xsl (>= 3.1.2),
-               liblaunchpad-integration-3.0-dev (>= 0.1.17)
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/yelp/ubuntu
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/yelp
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/yelp
 Homepage: http://live.gnome.org/Yelp
 
 Package: yelp
@@ -44,10 +39,8 @@
          libyelp0 (= ${binary:Version}),
          yelp-xsl (>= 3.1.2),
          man-db (>= 2.5.1-1)
-Recommends: gnome-user-guide
-Suggests: ttf-dejavu
-Breaks: scrollkeeper (<< 0.4)
-Replaces: gman
+Recommends: ttf-dejavu,
+            gnome-user-guide
 Description: Help browser for GNOME
  Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
  graphical interface for viewing DocBook, Mallard, HTML, man, and info

## yelp 3.6.0

=== debian/changelog ===
yelp (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 25 Sep 2012 10:21:18 +1200

yelp (3.5.92-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

  [ Jeremy Bicha ]
  * debian/control.in:
    - Drop unneeded build-depends on dh-autoreconf, gnome-common,
      gnome-doc-utils, libfolks-dev, and libgee-dev
  * debian/rules: Don't run autoreconf
  * debian/patches/00_no_am_gnu_gettext.patch:
    - Disabled, not needed since we aren't running autoreconf

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 18 Sep 2012 09:32:29 +1200

yelp (3.5.91-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 05 Sep 2012 11:31:19 +1200

yelp (3.5.90-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/libyelp0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 21 Aug 2012 11:48:04 +1200

yelp (3.4.2-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 22 May 2012 11:48:44 +1200

yelp (3.4.1-0ubuntu2) quantal; urgency=low

  * debian/control:
    - Use standards version 3.9.3
    - Drop dependency on liblaunchpad-integration-3.0-dev
  * debian/patches/01_lpi.patch:
    - Dropped, we no longer do Launchpad integration

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 14 May 2012 16:06:14 +1200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: yelp
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 8),
                gnome-pkg-tools (>= 0.10),
                cdbs (>= 0.4.41),
                docbook-to-man,
-               intltool (>= 0.41.0),
                itstool,
                gtk-doc-tools,
                libglib2.0-doc,
@@ -27,9 +26,8 @@
                liblzma-dev (>= 4.9),
                libwebkitgtk-3.0-dev (>= 1.3.2),
                libsqlite3-dev,
-               yelp-xsl (>= 3.1.2),
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/yelp
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/yelp
+               yelp-xsl (>= 3.1.2)
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/yelp/ubuntu
 Homepage: http://live.gnome.org/Yelp
 
 Package: yelp
@@ -39,8 +37,9 @@
          libyelp0 (= ${binary:Version}),
          yelp-xsl (>= 3.1.2),
          man-db (>= 2.5.1-1)
-Recommends: ttf-dejavu,
-            gnome-user-guide
+Recommends: gnome-user-guide
+Suggests: ttf-dejavu
+Replaces: gman
 Description: Help browser for GNOME
  Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
  graphical interface for viewing DocBook, Mallard, HTML, man, and info

## yelp 3.6.2

=== debian/changelog ===
yelp (3.6.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 13 Nov 2012 10:39:14 +1300

yelp (3.6.1-1ubuntu1) raring; urgency=low

  * Resync on Debian, remaining changes:
    - debian/patches/05_menu_tooltip.patch: Change comment in .desktop file to
      refer to Unity instead of GNOME.
    - debian/patches/06_make_ubuntu_docs_default.patch: On Unity, use
      ubuntu-docs by default.
    - debian/patches/07_disable_package_search.patch: Remove "Search for
      packages" feature since it doesn't work with Ubuntu's default install.
  * debian/source_yelp.py: Install apport hook
  * debian/control{,.in}: Drop Recommends on ttf-dejavu; not used by Ubuntu.
  * debian/watch: Track unstable versions too

 -- Iain Lane <iain.lane@canonical.com>  Tue, 23 Oct 2012 16:50:26 +0100

yelp (3.6.1-1) experimental; urgency=low

  * Team upload
  * New upstream release (Closes: #690953)
  * Update debian/libyelp0.symbols. Symbols were dropped without bumping the
    SONAME (see GNOME #686457). Yelp is currently the only user of libyelp,
    and has a strict dependency on it, so just de-list those symbols.

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Oct 2012 22:22:51 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Source: yelp
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 8),
                gnome-pkg-tools (>= 0.10),
                cdbs (>= 0.4.41),
                docbook-to-man,
+               intltool (>= 0.41.0),
                itstool,
                gtk-doc-tools,
                libglib2.0-doc,
@@ -26,7 +27,7 @@
                liblzma-dev (>= 4.9),
                libwebkitgtk-3.0-dev (>= 1.3.2),
                libsqlite3-dev,
-               yelp-xsl (>= 3.1.2)
+               yelp-xsl (>= 3.1.2),
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/yelp/ubuntu
 Homepage: http://live.gnome.org/Yelp
 
@@ -38,8 +39,6 @@
          yelp-xsl (>= 3.1.2),
          man-db (>= 2.5.1-1)
 Recommends: gnome-user-guide
-Suggests: ttf-dejavu
-Replaces: gman
 Description: Help browser for GNOME
  Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
  graphical interface for viewing DocBook, Mallard, HTML, man, and info
